Skip to main content
`Ctrl`+`K`

# `skopt.space.transformers`.StringEncoder

class skopt.space.transformers.StringEncoder(dtype=<class 'str'>)

  StringEncoder transform.

  The transform will cast everything to a string and the inverse transform will cast to the type defined in dtype.

  Methods

  `fit`(X) | Fit a list or array of categories.
  `inverse_transform`(Xt) | Inverse transform string encoded categories back to their original representation.
  `transform`(X) | Transform an array of categories to a string encoded representation.

  __init__(dtype=<class 'str'>)
  fit(X)

    Fit a list or array of categories. All elements must be from the same type.

    Parameters:
      X array-like, shape=(n_categories,)

        List of categories.

  inverse_transform(Xt)

    Inverse transform string encoded categories back to their original representation.

    Parameters:
      Xt array-like, shape=(n_samples,)

        String encoded categories.

    Returns:
      X array-like, shape=(n_samples,)

        The original categories.

  transform(X)

    Transform an array of categories to a string encoded representation.

    Parameters:
      X array-like, shape=(n_samples,)

        List of categories.

    Returns:
      Xt array-like, shape=(n_samples,)

        The string encoded categories.